Skip to main content
POST
/
admin
/
collections
/
{id}
/
products
JS SDK
import Medusa from "@medusajs/js-sdk"

export const sdk = new Medusa({
  baseUrl: import.meta.env.VITE_BACKEND_URL || "/",
  debug: import.meta.env.DEV,
  auth: {
    type: "session",
  },
})

sdk.admin.productCollection.updateProducts("pcol_123", {
  add: ["prod_123"],
  remove: ["prod_321"]
})
.then(({ collection }) => {
  console.log(collection)
})
{ "collection": { "id": "<string>", "title": "<string>", "handle": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z", "metadata": {}, "products": [ { "variants": [ {} ], "length": 123, "title": "<string>", "status": "draft", "options": [ { "id": "<string>", "title": "<string>", "product": {}, "product_id": "<string>", "values": [ { "id": "<string>", "value": "<string>", "option": {}, "option_id": "<string>", "metadata": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" } ], "metadata": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" } ], "description": "<string>", "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "handle": "<string>", "subtitle": "<string>", "is_giftcard": true, "thumbnail": "<string>", "width": 123, "weight": 123, "height": 123, "origin_country": "<string>", "hs_code": "<string>", "mid_code": "<string>", "material": "<string>", "collection_id": "<string>", "type_id": "<string>", "images": [ { "id": "<string>", "url": "<string>", "rank": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z", "metadata": {} } ], "discountable": true, "external_id": "<string>", "deleted_at": "2023-11-07T05:31:56Z", "categories": [ { "category_children": [ { "category_children": [ {} ], "parent_category": {}, "name": "<string>", "description": "<string>", "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "handle": "<string>", "deleted_at": "2023-11-07T05:31:56Z", "is_active": true, "is_internal": true, "rank": 123, "parent_category_id": "<string>", "products": [ {} ], "metadata": {} } ], "parent_category": { "category_children": [ {} ], "parent_category": {}, "name": "<string>", "description": "<string>", "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "handle": "<string>", "deleted_at": "2023-11-07T05:31:56Z", "is_active": true, "is_internal": true, "rank": 123, "parent_category_id": "<string>", "products": [ {} ], "metadata": {} }, "name": "<string>", "description": "<string>", "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "handle": "<string>", "deleted_at": "2023-11-07T05:31:56Z", "is_active": true, "is_internal": true, "rank": 123, "parent_category_id": "<string>", "products": [ {} ], "metadata": {} } ], "tags": [ { "id": "<string>", "value": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z", "metadata": {} } ], "metadata": {} } ], "translations": [ { "id": "<string>", "reference_id": "prod_123", "reference": "product", "locale_code": "fr-FR", "translations": { "title": "Chaussures", "description": "Des chaussures élégantes." }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" } ] } }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The collection's ID.

Query Parameters

fields
string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Body

application/json

A batch operation to manage the associations between two entities.

add
string[]

The IDs of an entity to add to the other.

The entity's ID.

remove
string[]

The IDs of an entity to remove from the other.

The entity's ID.

Response

OK

The collection's details.

collection
object
required

The product collection's details.